Skip to main content
Voyage earnings estimates and freight rate data.

GET /api/v1/earnings

Per-voyage earnings estimates. Parameters
NameTypeRequiredDescription
vesselstringIMO number
portstringPort slug
limitnumberDefault 50, max 200
Response
{ "earnings": [...] }
Example
curl -X GET \
  https://axiomoverwatch.io/api/v1/earnings?vessel=VALUE&port=VALUE

GET /api/v1/earnings/port-revenue

Weekly port revenue aggregates. Parameters
NameTypeRequiredDescription
portstringPort slug
limitnumberDefault 52, max 200
Response
{ "port_revenue": [...] }
Example
curl -X GET \
  https://axiomoverwatch.io/api/v1/earnings/port-revenue?port=VALUE&limit=VALUE

GET /api/v1/freight-rates

Freight rate data by vessel type. Parameters
NameTypeRequiredDescription
vessel_typestringVessel type filter
limitnumberDefault 50, max 200
Response
{ "freight_rates": [...] }
Example
curl -X GET \
  https://axiomoverwatch.io/api/v1/freight-rates?vessel_type=VALUE&limit=VALUE

POST /api/v1/freight-rates

Requires API key.
Submit a new freight rate record. Response
{ "freight_rate": {...} }
Example
curl -X POST -H "X-API-Key: YOUR_KEY" \
  https://axiomoverwatch.io/api/v1/freight-rates \
  -d '{"key":"value"}'